#import <Foundation/NSObject.h>

@interface GFNodeActor : NSObject
+ (id)sharedActor;
- (id)__portIsConnected:(id)fp8;
- (struct _NSSize)sizeForNode:(id)fp8;
- (id)portForPoint:(struct _NSPoint)fp8 inNode:(id)fp16 bounds:(struct _NSRect)fp20;
- (struct _NSPoint)pointForPort:(id)fp8 inNode:(id)fp12 bounds:(struct _NSRect)fp16;
- (void)drawNode:(id)fp8 bounds:(struct _NSRect)fp12 view:(id)fp28;
- (void)drawSelectionRingWithColor:(id)fp8 width:(float)fp12 forNode:(id)fp16 bounds:(struct _NSRect)fp20 view:(id)fp36;
- (BOOL)trackMouse:(id)fp8 inNode:(id)fp12 bounds:(struct _NSRect)fp16 view:(id)fp32;
- (id)menuForNode:(id)fp8 view:(id)fp12;
- (BOOL)nodeAcceptsFirstResponder:(id)fp8 view:(id)fp12;
- (BOOL)nodeBecomesFirstResponder:(id)fp8 view:(id)fp12;
- (BOOL)nodeResignsFirstResponder:(id)fp8 view:(id)fp12;
- (BOOL)handleKeyUp:(id)fp8 inNode:(id)fp12 view:(id)fp16;
- (BOOL)handleKeyDown:(id)fp8 inNode:(id)fp12 view:(id)fp16;
- (id)setupInspectorViewsForNode:(id)fp8;
- (void)resetInspectorViews;
- (id)tooltipStringForPoint:(struct _NSPoint)fp8 inNode:(id)fp16 bounds:(struct _NSRect)fp20 tooltipBounds:(struct _NSRect *)fp36;
- (id)setupTooltipViewForPoint:(struct _NSPoint)fp8 inNode:(id)fp16 bounds:(struct _NSRect)fp20 tooltipBounds:(struct _NSRect *)fp36;
- (void)resetTooltipView;
@end

